import { EventTypes } from "../EventConstants";
import * as fs from "fs";
/**
 * Imperative Event JSON representation for user interpretation
 * @export
 * @interface IEventJson
 */
export interface IEventJson {
    /**
     * The time in which the event occurred
     */
    eventTime: string;
    /**
     * The name of event that occurred
     */
    eventName: string;
    /**
     * The application name that triggered the event
     */
    appName: string;
    /**
     * The file path for information on the emitted event
     */
    eventFilePath: string;
    /**
     * The type of event that occurred
     */
    eventType?: EventTypes;
    /**
     * List of watchers to eventually close
     */
    subscriptions?: fs.FSWatcher[];
}
//# sourceMappingURL=IEventJson.d.ts.map